import { Feed, FeedState } from '../../../src/feed';
declare const selector: ({ notification_status }: FeedState) => {
    unread: number;
    unseen: number;
    last_read_at: Date | undefined;
    last_seen_at: Date | undefined;
    read_activities: string[] | undefined;
    seen_activities: string[] | undefined;
};
type UseNotificationStatusReturnType = ReturnType<typeof selector>;
export declare function useNotificationStatus(feed: Feed): UseNotificationStatusReturnType;
export declare function useNotificationStatus(feed?: Feed): UseNotificationStatusReturnType | undefined;
export {};
